Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.cfg
Interface SearchConfiguration

All Known Implementing Classes:
  SearchConfigurationFromHibernateCore

    public interface SearchConfiguration

Provides configuration to Hibernate Search

Author:
  Navin Surtani - navin@surtani.org

Method Summary
`java.lang.Class<?>` | `getClassMapping(java.lang.String name)` Returns a `Class` from a String parameter.
`java.util.Iterator<java.lang.Class<?>>` | `getClassMappings()` Returns an iterator over the list of indexed classes
`SearchMapping` | `getProgrammaticMapping()` returns the programmatic configuration or null //TODO remove hard dep with solr classes
`java.util.Properties` | `getProperties()` Gets properties as a java.util.Properties object.
`java.lang.String` | `getProperty(java.lang.String propertyName)` Gets a configuration property from its name or null if not present
`org.hibernate.annotations.common.reflection.ReflectionManager` | `getReflectionManager()` Returns a reflection manager if already available in the environment null otherwise

Method Detail

### getClassMappings

    java.util.Iterator<java.lang.Class<?>> getClassMappings()

  Returns an iterator over the list of indexed classes

  Returns:
    iterator of indexed classes.

### getClassMapping

    java.lang.Class<?> getClassMapping(java.lang.String name)

  Returns a `Class` from a String parameter.

  Parameters:
    `name` -
  Returns:
    corresponding class instance.

### getProperty

    java.lang.String getProperty(java.lang.String propertyName)

  Gets a configuration property from its name or null if not present

  Parameters:
    `propertyName` - - as a String.
  Returns:
    the property as a String

### getProperties

    java.util.Properties getProperties()

  Gets properties as a java.util.Properties object.

  Returns:
    a java.util.Properties object.
  See Also:
    `object`

### getReflectionManager

    org.hibernate.annotations.common.reflection.ReflectionManager getReflectionManager()

  Returns a reflection manager if already available in the environment null otherwise

  Returns:
    ReflectionManager

### getProgrammaticMapping

    SearchMapping getProgrammaticMapping()

  returns the programmatic configuration or null //TODO remove hard dep with solr classes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.